# PortableInterceptor.pidl File Reference

Pre-compiled IDL source for the PortableInterceptor components in the ORB. More...

`import "PI_Forward.pidl";`
`import "Messaging_SyncScope.pidl";`

Include dependency graph for PortableInterceptor.pidl:

## Namespaces

namespace | PortableInterceptor

## Variables

const AdapterState | HOLDING = 0
const AdapterState | ACTIVE = 1
const AdapterState | DISCARDING = 2
const AdapterState | INACTIVE = 3
const AdapterState | NON_EXISTENT = 4
const ReplyStatus | SUCCESSFUL = 0
const ReplyStatus | SYSTEM_EXCEPTION = 1
const ReplyStatus | USER_EXCEPTION = 2
const ReplyStatus | LOCATION_FORWARD = 3
const ReplyStatus | TRANSPORT_RETRY = 4
const ReplyStatus | UNKNOWN = 5

## Detailed Description

Pre-compiled IDL source for the PortableInterceptor components in the ORB.

Id
  PortableInterceptor.pidl,v 1.43 2005/08/19 08:02:36 jwillemsen Exp

This file contains the interface definitions for "Portable" Interceptor support. The following is from orbos/99-12-02 Portable Interceptors spec, the full IDL is downloadable from orbos/99-12-02.

Additional updates from ptc/00-08-05 are also included. Changes include:

- addition of the Interceptor::destroy() method
- move of CodecFactory and Codec interfaces to the IOP module

This file was used to generate the code in PortableInterceptorC.* The command used to generate code is:

tao_idl -o orig -Gp -Gd -Ge 1 -Sc -SS -Sci -Wb,export_include="tao/TAO_Export.h" -Wb,export_macro=TAO_Export -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" PortableInterceptor.pidl

## Variable Documentation

const PortableInterceptor::AdapterState PortableInterceptor::ACTIVE = 1

const PortableInterceptor::AdapterState PortableInterceptor::DISCARDING = 2

const PortableInterceptor::AdapterState PortableInterceptor::HOLDING = 0

const PortableInterceptor::AdapterState PortableInterceptor::INACTIVE = 3

const PortableInterceptor::ReplyStatus PortableInterceptor::LOCATION_FORWARD = 3

const PortableInterceptor::AdapterState PortableInterceptor::NON_EXISTENT = 4

const PortableInterceptor::ReplyStatus PortableInterceptor::SUCCESSFUL = 0

const PortableInterceptor::ReplyStatus PortableInterceptor::SYSTEM_EXCEPTION = 1

const PortableInterceptor::ReplyStatus PortableInterceptor::TRANSPORT_RETRY = 4

const PortableInterceptor::ReplyStatus PortableInterceptor::UNKNOWN = 5

const PortableInterceptor::ReplyStatus PortableInterceptor::USER_EXCEPTION = 2